Bug 607187 - [abrt] abort evolution-2.30.1-6.fc13: header_raw_free, camel_header_raw_clear, camel_filter_search_match
[abrt] abort evolution-2.30.1-6.fc13: header_raw_free, camel_header_raw_clear...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: evolution (Show other bugs)
13
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Matthew Barnes
Fedora Extras Quality Assurance
abrt_hash:26be3e33a7dbf525303f19b8bc5...
:
: 584649 585321 585797 587408 587465 587920 590735 592405 595460 596687 596736 598189 598412 598434 598494 598529 598872 599276 599432 599490 599569 600193 600280 601757 606005 612506 612990 615583 616236 623437 623449 623536 627714 629742 632074 632140 634329 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-23 09:21 EDT by Greg Ennis
Modified: 2011-06-27 14:48 EDT (History)
29 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-06-27 14:48:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (42.32 KB, text/plain)
2010-06-23 09:21 EDT, Greg Ennis
no flags Details

  None (edit)
Description Greg Ennis 2010-06-23 09:21:27 EDT
abrt 1.1.0 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: evolution
comment: I opened evolution to obtain my morning mail, and it crashed before all of the mail had been downloaded from the IMAP server.
component: evolution
crash_function: raise
executable: /usr/bin/evolution
global_uuid: 26be3e33a7dbf525303f19b8bc5b6b636669b3c1
kernel: 2.6.33.4-95.fc13.i686.PAE
package: evolution-2.30.1-6.fc13
rating: 4
reason: Process /usr/bin/evolution was killed by signal 6 (SIGABRT)
release: Fedora release 13 (Goddard)

How to reproduce
-----
1. I have not found a consistant technique to cause this problem
2.
3.
Comment 1 Greg Ennis 2010-06-23 09:21:29 EDT
Created attachment 426271 [details]
File: backtrace
Comment 2 Greg Ennis 2010-06-23 09:28:56 EDT
See also Bug 604430 - the combination of fc13 and this evolution is causing evolution to crash as many as 5 times per day.  Is there anything I can do to help resolve this bug.   Thank you for your work ---- Greg Ennis
Comment 3 Milan Crha 2010-06-28 08:46:20 EDT
Thanks for a bug report. It seems it has some trouble while filtering messages, similar with bug #604430, though there it's slightly earlier. Could you try to run evolution as this, please:
   $ G_SLICE=always-malloc valgrind evolution &>evo.log
which will track the issue and hopefully tell us where the memory was freed (in the evo.log file)? The only thing is that it'll probably not crash, but the log will contain some information about accessing already freed memory or something like that. Please remove from there any private information you may find there, even this kind of log usually doesn't contain any. Thanks in advance.

Please note that the crash may not occur always, it may depends on messages you received and whether they were filtered or not. (Your above crash backtrace shows one specific filter which was under go during the abort.)
Comment 4 Karel Klíč 2010-11-09 09:59:33 EST
*** Bug 584649 has been marked as a duplicate of this bug. ***
Comment 5 Karel Klíč 2010-11-09 09:59:38 EST
*** Bug 585321 has been marked as a duplicate of this bug. ***
Comment 6 Karel Klíč 2010-11-09 09:59:42 EST
*** Bug 585797 has been marked as a duplicate of this bug. ***
Comment 7 Karel Klíč 2010-11-09 09:59:47 EST
*** Bug 587408 has been marked as a duplicate of this bug. ***
Comment 8 Karel Klíč 2010-11-09 09:59:52 EST
*** Bug 587465 has been marked as a duplicate of this bug. ***
Comment 9 Karel Klíč 2010-11-09 09:59:57 EST
*** Bug 587920 has been marked as a duplicate of this bug. ***
Comment 10 Karel Klíč 2010-11-09 10:00:02 EST
*** Bug 590735 has been marked as a duplicate of this bug. ***
Comment 11 Karel Klíč 2010-11-09 10:00:07 EST
*** Bug 592405 has been marked as a duplicate of this bug. ***
Comment 12 Karel Klíč 2010-11-09 10:00:15 EST
*** Bug 595460 has been marked as a duplicate of this bug. ***
Comment 13 Karel Klíč 2010-11-09 10:00:20 EST
*** Bug 596687 has been marked as a duplicate of this bug. ***
Comment 14 Karel Klíč 2010-11-09 10:00:25 EST
*** Bug 596736 has been marked as a duplicate of this bug. ***
Comment 15 Karel Klíč 2010-11-09 10:00:31 EST
*** Bug 598189 has been marked as a duplicate of this bug. ***
Comment 16 Karel Klíč 2010-11-09 10:00:36 EST
*** Bug 598412 has been marked as a duplicate of this bug. ***
Comment 17 Karel Klíč 2010-11-09 10:00:42 EST
*** Bug 598434 has been marked as a duplicate of this bug. ***
Comment 18 Karel Klíč 2010-11-09 10:00:51 EST
*** Bug 598494 has been marked as a duplicate of this bug. ***
Comment 19 Karel Klíč 2010-11-09 10:00:56 EST
*** Bug 598529 has been marked as a duplicate of this bug. ***
Comment 20 Karel Klíč 2010-11-09 10:01:02 EST
*** Bug 598872 has been marked as a duplicate of this bug. ***
Comment 21 Karel Klíč 2010-11-09 10:01:07 EST
*** Bug 599276 has been marked as a duplicate of this bug. ***
Comment 22 Karel Klíč 2010-11-09 10:01:46 EST
*** Bug 599432 has been marked as a duplicate of this bug. ***
Comment 23 Karel Klíč 2010-11-09 10:01:59 EST
*** Bug 599490 has been marked as a duplicate of this bug. ***
Comment 24 Karel Klíč 2010-11-09 10:02:04 EST
*** Bug 599569 has been marked as a duplicate of this bug. ***
Comment 25 Karel Klíč 2010-11-09 10:02:09 EST
*** Bug 600193 has been marked as a duplicate of this bug. ***
Comment 26 Karel Klíč 2010-11-09 10:02:14 EST
*** Bug 600280 has been marked as a duplicate of this bug. ***
Comment 27 Karel Klíč 2010-11-09 10:02:19 EST
*** Bug 601757 has been marked as a duplicate of this bug. ***
Comment 28 Karel Klíč 2010-11-09 10:02:23 EST
*** Bug 606005 has been marked as a duplicate of this bug. ***
Comment 29 Karel Klíč 2010-11-09 10:02:28 EST
*** Bug 612506 has been marked as a duplicate of this bug. ***
Comment 30 Karel Klíč 2010-11-09 10:02:33 EST
*** Bug 612990 has been marked as a duplicate of this bug. ***
Comment 31 Karel Klíč 2010-11-09 10:02:37 EST
*** Bug 615583 has been marked as a duplicate of this bug. ***
Comment 32 Karel Klíč 2010-11-09 10:02:42 EST
*** Bug 616236 has been marked as a duplicate of this bug. ***
Comment 33 Karel Klíč 2010-11-09 10:02:48 EST
*** Bug 623437 has been marked as a duplicate of this bug. ***
Comment 34 Karel Klíč 2010-11-09 10:02:53 EST
*** Bug 623449 has been marked as a duplicate of this bug. ***
Comment 35 Karel Klíč 2010-11-09 10:02:57 EST
*** Bug 623536 has been marked as a duplicate of this bug. ***
Comment 36 Karel Klíč 2010-11-09 10:03:03 EST
*** Bug 627714 has been marked as a duplicate of this bug. ***
Comment 37 Karel Klíč 2010-11-09 10:03:07 EST
*** Bug 629742 has been marked as a duplicate of this bug. ***
Comment 38 Karel Klíč 2010-11-09 10:03:12 EST
*** Bug 632074 has been marked as a duplicate of this bug. ***
Comment 39 Karel Klíč 2010-11-09 10:03:17 EST
*** Bug 632140 has been marked as a duplicate of this bug. ***
Comment 40 Karel Klíč 2010-11-09 10:03:22 EST
*** Bug 634329 has been marked as a duplicate of this bug. ***
Comment 41 Bug Zapper 2011-06-01 11:47:49 EDT
This message is a reminder that Fedora 13 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 13.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '13'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 13's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 13 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 42 Bug Zapper 2011-06-27 14:48:42 EDT
Fedora 13 changed to end-of-life (EOL) status on 2011-06-25. Fedora 13 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.